<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui">

    <h:head>
        <title>Admin feedback form</title>
    </h:head>
    <h:body>
        <style type="text/css">
            .ui-filter-column .ui-column-customfilter .custom-filter {
                width: 100%;
                box-sizing: border-box;
            }
        </style>
        <h:form>
            <p:panel>
                <f:facet name="header">
                    Feedbacks
                    <p:commandButton action="#{feedbackController.fetchAll()}"
                                     icon="pi pi-refresh" update="@form" process="@this"
                                     oncomplete="PF('feedbackTable').filter()"/>
                </f:facet>
                <p:dataTable var="feedback" value="#{feedbackController.allFeedbacks}"
                             rows="2" paginator="true" paginatorAlwaysVisible="true"
                             widgetVar="feedbackTable" filteredValue="#{feedbackController.filteredFeedbacks}">

                    <p:column headerText="Id" width="10%" sortBy="">
                        <h:outputText value="#{feedback.feedbackId}"/>
                    </p:column>


                    <p:column headerText="Date of submission" sortBy="#{feedback.submissionTimestamp}">
                        <h:outputText value="#{feedback.submissionTimestamp}">
                            <f:convertDateTime pattern="yyyy-MM-dd hh:mm:ss"/>
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Name">
                        <h:outputText value="#{feedback.name}"/>
                    </p:column>

                    <p:column headerText="Email">
                        <h:outputText value="#{feedback.email}"/>
                    </p:column>

                    <p:column headerText="Contact type" filterBy="#{feedback.contactType.contactName}" filterMatchMode="exact">
                        <f:facet name="filter">
                            <p:selectOneMenu onchange="PF('feedbackTable').filter()" styleClass="custom-filter">
                                <f:selectItem itemLabel="Select One" itemValue="#{null}" noSelectionOption="true" />
                                <f:selectItems value="#{contactTypeController.contactTypeNames}" />
                            </p:selectOneMenu>
                        </f:facet>
                        <h:outputText value="#{feedback.contactType.contactName}"/>
                    </p:column>



                    <p:column headerText="Message">
                        <h:outputText value="#{feedback.message}" 
                        style="display:block;"/>
                        
                    </p:column>
                    <p:column headerText="Options" width="10%">
                        do something
                    </p:column>

                </p:dataTable>
            </p:panel>
        </h:form>
    </h:body>
</html>    

